package ${basePackage}.module.system.ent;

import java.util.Date;
import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
import ${basePackage}.frame.base.BaseEntity;

/**
 * TOKENS - 通行证
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("通行证")
public class Tokens extends BaseEntity {

    /**
     * TOKEN - 登录令牌
     */
    @ColumnName("登录令牌")
    @ColumnDescription("")
    private String token;
    /**
     * USER_ID - 用户主键
     */
    @ColumnName("用户主键")
    @ColumnDescription("")
    private Long userId;
    /**
     * USER_NAME - 用户名称
     */
    @ColumnName("用户名称")
    @ColumnDescription("")
    private String userName;
    /**
     * LOGIN_TIME - 登录时间
     */
    @ColumnName("登录时间")
    @ColumnDescription("")
    private Date loginTime;
    /**
     * VALID_TIME - 有效时间
     */
    @ColumnName("有效时间")
    @ColumnDescription("")
    private Date validTime;
    /**
     * VALID - 是否有效
     */
    @ColumnName("是否有效")
    @ColumnDescription("")
    private Boolean valid;
    /**
     * DEPT_ID - 部门主键
     */
    @ColumnName("部门主键")
    @ColumnDescription("")
    private Long deptId;
    /**
     * DEPT_CODE - 部门代码
     */
    @ColumnName("部门代码")
    @ColumnDescription("")
    private String deptCode;
    /**
     * DEPT_NAME - 部门名称
     */
    @ColumnName("部门名称")
    @ColumnDescription("")
    private String deptName;
    /**
     * TERMINAL_TYPE - 终端类型
     */
    @ColumnName("终端类型")
    @ColumnDescription("")
    private String terminalType;
    /**
     * TERMINAL_IP - 终端地址
     */
    @ColumnName("终端地址")
    @ColumnDescription("")
    private String terminalIp;
    /**
     * TERMINAL_INFO - 终端信息
     */
    @ColumnName("终端信息")
    @ColumnDescription("")
    private String terminalInfo;

    public String getToken() {
        return this.token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getLoginTime() {
        return this.loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getValidTime() {
        return this.validTime;
    }

    public void setValidTime(Date validTime) {
        this.validTime = validTime;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTerminalType() {
        return this.terminalType;
    }

    public void setTerminalType(String terminalType) {
        this.terminalType = terminalType;
    }

    public String getTerminalIp() {
        return this.terminalIp;
    }

    public void setTerminalIp(String terminalIp) {
        this.terminalIp = terminalIp;
    }

    public String getTerminalInfo() {
        return this.terminalInfo;
    }

    public void setTerminalInfo(String terminalInfo) {
        this.terminalInfo = terminalInfo;
    }
}